distro/redhat/etc/init.d/chef-solr in chef-0.8.16 vs distro/redhat/etc/init.d/chef-solr in chef-0.9.0.a3
- old
+ new
@@ -1,76 +1,104 @@
#!/bin/bash
-# Startup script for chef-solr
+#
+# chef-solr Startup script for the SOLR search engine
#
-# chkconfig: - 66 34
-# description: SOLR search engine for Chef Server.
-# processname: chef-solr
-#
-# config: /etc/sysconfig/chef-solr
-# pidfile: /var/run/chef/chef-solr.pid
+# chkconfig: - 94 06
+# description: SOLR search engine for the Chef Server.
+### BEGIN INIT INFO
+# Provides: chef-solr
+# Required-Start: $local_fs $network $remote_fs
+# Required-Stop: $local_fs $network $remote_fs
+# Should-Start: $named $time
+# Should-Stop: $named $time
+# Short-Description: Startup script for the SOLR search engine
+# Description: SOLR search engine for the Chef Server.
+### END INIT INFO
+
# Source function library
. /etc/init.d/functions
-[ -f /etc/sysconfig/chef-solr ] && . /etc/sysconfig/chef-solr
-
+exec="/usr/bin/chef-solr"
prog="chef-solr"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+config=${CONFIG-/etc/chef/solr.rb}
pidfile=${PIDFILE-/var/run/chef/solr.pid}
lockfile=${LOCKFILE-/var/lock/subsys/$prog}
-config=${CONFIG-/etc/chef/server.rb}
-user=${CHEF_USER-chef}
-group=${CHEF_GROUP-chef}
logfile=${LOGFILE-/var/log/chef/solr.log}
options=${OPTIONS-}
start() {
- echo -n "Starting $prog:"
- daemon $prog -d -c "$config" -u "$user" -g "$group" -L "$logfile" "$options" "&>/dev/null"
- RETVAL=$?
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ daemon $prog -d -c "$config" -L "$logfile" "$options"
+ retval=$?
echo
- [ $RETVAL -eq 0 ] && touch ${lockfile}
- return $RETVAL
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
}
stop() {
- echo -n "Stopping $prog: "
- if [ -f $pidfile ]; then
- killproc $prog
- RETVAL=$?
- if [ $RETVAL -ne 0 ]; then
- failure;
- fi;
- else
- RETVAL=1
- failure;
- fi
- rm -f $lockfile
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile $prog
+ retval=$?
echo
- return $RETVAL
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
}
+restart () {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
case "$1" in
- start)
- start
+ start)
+ rh_status_q && exit 0
+ $1
;;
- stop)
- stop
+ stop)
+ rh_status_q || exit 0
+ $1
;;
- restart)
- stop
- start
+ restart)
+ $1
;;
- condrestart)
- if [ -f $lockfile ]; then
- stop
- start
- fi
+ reload)
+ rh_status_q || exit 7
+ $1
;;
- status)
- status $prog
+ force-reload)
+ force_reload
;;
- *)
- echo "Usage: $0 {start|stop|restart|condrestart|status}"
- exit 1
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+ exit 2
esac
-
-exit $RETVAL
+exit $?